import { gql } from "./gql";

export const log = async(login, password) => {
    let query = `query login($login:String!, $password:String!) {
        login(login: $login, password: $password)
    }`

    let variables = {"login":login, "password":password}

    let token = await gql(query, variables)
    localStorage.authToken = token.data.login
    console.log(token)
    return token.data.login
}

export const reg = async(login, password) => {
    let query = `mutation reg($login:String!, $password:String!) {
    createUser(
        login: $login,
        password: $password

    ){
       _id
    }}`
    
    let variables = {"login":login, "password":password}

    let res = await gql(query, variables)
    return res
}

export const userFind = (_id) => {
    return gql(
      `query userOne($query:String) {
        UserFindOne(query:$query){
            _id avatar{
            url
            }
        }
    }`,
        { query: JSON.stringify([{ _id }]) }
    )
}

export const setAva = async (idUser, id) => {
    let query = `mutation setAvatar($idUser:String , $idAvatar:ID){ 
      UserUpsert(user:{_id: $idUser, avatar: {_id: $idAvatar}}){
          _id, avatar{
              url
          }
      }
  }`

    let variables = { idUser: idUser, idAvatar: id }
  
    let res = await gql(query, variables)
    return res
}

export const SnippetUpsert = async (title, description, files) => {
    let query = `mutation SnippetUpsert($snippet:SnippetInput) {
      SnippetUpsert(snippet:$snippet){
        _id
      }
    }`
  
    let variables = { snippet: { title, description, files:files }}
  
    let res = await gql(query, variables)
    return res
};